{ stdenv, lib, fetchFromGitHub, llvmPackages, cmake }:

stdenv.mkDerivation rec {
  pname = "luau";
  version = "0.667";

  src = fetchFromGitHub {
    owner = "luau-lang";
    repo = "luau";
    rev = "${version}";
    hash = "sha256-AEPUdqQ+uIWxSTOwwbZ8tWSz3VKKHa1D08o6oeEREkg="; # Replace with "" to get the hash while running `fr`
  };

  nativeBuildInputs = [ cmake ];
  cmakeFlags = [
    "-DCMAKE_BUILD_TYPE=Release"
  ];

  buildInputs = [ llvmPackages.libunwind ];
 
  #buildPhase = ''
  #  cmake . -DCMAKE_BUILD_TYPE=Release
  #  cmake --build . --target Luau.Repl.CLI Luau.Analyze.CLI Luau.Compile.CLI --config Release
  #'';

  installPhase = ''
    mkdir -p $out/bin
    cp luau $out/bin/
    cp luau-analyze $out/bin/
    cp luau-compile $out/bin/
  '';
}
